# GtkComboStack

## Name

GtkComboStack --

## Synopsis

                GtkComboStack;
    GtkWidget*  gtk_combo_stack_new             (const gchar *stock_name,
                                                 gboolean const is_scrolled);
    void        gtk_combo_stack_push_item       (GtkComboStack *combo_stack,
                                                 const gchar *item);
    void        gtk_combo_stack_remove_top      (GtkComboStack *combo_stack,
                                                 gint num);
    void        gtk_combo_stack_pop             (GtkComboStack *combo_stack,
                                                 gint num);
    void        gtk_combo_stack_clear           (GtkComboStack *combo_stack);
    void        gtk_combo_stack_truncate        (GtkComboStack *combo,
                                                 int n);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBox
                         +----GtkHBox
                               +----MyGtkComboBox
                                     +----GtkComboStack

## Signal Prototypes

    "pop"       void        user_function      (GtkComboStack *combostack,
                                                gint arg1,
                                                gpointer user_data);

## Description

## Details

### GtkComboStack

    typedef struct _GtkComboStack GtkComboStack;

### gtk_combo_stack_new ()

    GtkWidget*  gtk_combo_stack_new             (const gchar *stock_name,
                                                 gboolean const is_scrolled);

`stock_name` : |
`is_scrolled` : |
Returns : |

### gtk_combo_stack_push_item ()

    void        gtk_combo_stack_push_item       (GtkComboStack *combo_stack,
                                                 const gchar *item);

`combo_stack` : |
`item` : |

### gtk_combo_stack_remove_top ()

    void        gtk_combo_stack_remove_top      (GtkComboStack *combo_stack,
                                                 gint num);

`combo_stack` : |
`num` : |

### gtk_combo_stack_pop ()

    void        gtk_combo_stack_pop             (GtkComboStack *combo_stack,
                                                 gint num);

`combo_stack` : |
`num` : |

### gtk_combo_stack_clear ()

    void        gtk_combo_stack_clear           (GtkComboStack *combo_stack);

`combo_stack` : |

### gtk_combo_stack_truncate ()

    void        gtk_combo_stack_truncate        (GtkComboStack *combo,
                                                 int n);

`combo` : |
`n` : |

## Signals

### The "pop" signal

    void        user_function                  (GtkComboStack *combostack,
                                                gint arg1,
                                                gpointer user_data);

`combostack` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.